| libimobiledevice 1.4.0 API Documentation - Return to Homepage

Macros | Typedefs | Enumerations | Functions
webinspector.h File Reference

## Description

WebKit Remote Debugging.

## Macros
#define | WEBINSPECTOR_SERVICE_NAME "com.apple.webinspector"
| Service identifier passed to lockdownd_start_service() to start the webinspector service.

## Typedefs
typedef webinspector_client_private * | webinspector_client_t
| The client handle.

## Enumerations
enum | webinspector_error_t { WEBINSPECTOR_E_SUCCESS = 0 , WEBINSPECTOR_E_INVALID_ARG = -1 , WEBINSPECTOR_E_PLIST_ERROR = -2 , WEBINSPECTOR_E_MUX_ERROR = -3 , WEBINSPECTOR_E_SSL_ERROR = -4 , WEBINSPECTOR_E_RECEIVE_TIMEOUT = -5 , WEBINSPECTOR_E_NOT_ENOUGH_DATA = -6 , WEBINSPECTOR_E_UNKNOWN_ERROR = -256 }
| Error Codes.

## Functions
LIBIMOBILEDEVICE_API webinspector_error_t | webinspector_client_new (idevice_t device, lockdownd_service_descriptor_t service, webinspector_client_t *client)
| Connects to the webinspector service on the specified device.
LIBIMOBILEDEVICE_API webinspector_error_t | webinspector_client_start_service (idevice_t device, webinspector_client_t *client, const char *label)
| Starts a new webinspector service on the specified device and connects to it.
LIBIMOBILEDEVICE_API webinspector_error_t | webinspector_client_free (webinspector_client_t client)
| Disconnects a webinspector client from the device and frees up the webinspector client data.
LIBIMOBILEDEVICE_API webinspector_error_t | webinspector_send (webinspector_client_t client, plist_t plist)
| Sends a plist to the service.
LIBIMOBILEDEVICE_API webinspector_error_t | webinspector_receive (webinspector_client_t client, plist_t *plist)
| Receives a plist from the service.
LIBIMOBILEDEVICE_API webinspector_error_t | webinspector_receive_with_timeout (webinspector_client_t client, plist_t *plist, uint32_t timeout_ms)
| Receives a plist using the given webinspector client.